/*

  Linear Hall Magnetic Module (Analog)

  Parts required:
  - Arduino Board
  - Linear Hall Magnetic Module
  - LED (Any Color)
  - 220 Ohm Resistor

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 12 Jun 2019
  Version : v1.0

*/

// Initialize all variables
int ledPin = 8;
int linearyHallModuleAnalogPin = A0;
int linearyHallModuleAnalogRead;

void setup() {
  pinMode (ledPin, OUTPUT);                                             // Set ledPin as OUTPUT
  pinMode (linearyHallModuleAnalogPin, INPUT);                          // Set linearyHallModuleAnalogPin as INPUT
}

void loop() {

  linearyHallModuleAnalogRead = analogRead(linearyHallModuleAnalogPin); // Read linearyHallModuleAnalogPin value and store in linearyHallModuleAnalogRead

  if (linearyHallModuleAnalogRead >=475){                               // If linearyHallModuleAnalogRead >=475 Do
    digitalWrite(ledPin,LOW);                                           // Turn OFF LED
  }
  else{
    digitalWrite(ledPin,HIGH);                                          // Turn ON LED
  }

}
